package com.zcloud.service.hiddenApi;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：隐患验收人员记录
 * 作者：luoxiaobao
 * 时间：2021-01-20
 * 官网：www.zcloudchina.com
 */
public interface HiddenCheckApiService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;


	public List<PageData> listAllByIds(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	/**
	 * 隐患验收
	 * @param checkUserId 验收人
	 * @param checkUserDeptId 验收部门
	 * @param checkOhther 其他验收人
	 * @param hiddenId
	 * @param hiddenDescr 隐患描述
	 * @return
	 * @throws Exception
	 */
	public int saveHiddenCheck(String checkUserId,String checkUserDeptId ,String checkOhther,String hiddenId,String hiddenDescr )throws Exception;
	/**通过id获取数据
	 * @param hiddenId 隐患id
	 * @throws Exception
	 */
	public List<PageData> findByHidden(String hiddenId)throws Exception;

	/**
	 * 根据隐患id 和用户id验收隐患
	 * @param HIDDEN_ID
	 * @param HIDDENCHECK_ID 验收id
	 * @param CHECKDESCR 验收描述
	 * @param CHECK_TIME 验收时间
	 * @param DEPARTMENT_ID 验收部门
	 * @param USER_ID 验收人
	 * @return
	 * @throws Exception
	 */
	public int checkHidden(String HIDDEN_ID,String HIDDENCHECK_ID,String  CHECKDESCR,
						   String CHECK_TIME,String DEPARTMENT_ID, String USER_ID)throws Exception;

	/**根据隐患信息删除隐患验收人。
	 * @param hiddenId
	 * @throws Exception
	 */
	public int deleteByHiddenId(String hiddenId)throws Exception;
	/**
	 * 获取隐患发现人
	 * @param hiddenIds
	 * @return
	 * @throws Exception
	 */
	public List<PageData> getListByHiddenIds (String [] hiddenIds) throws Exception;
}

